import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.product.pricing.policy.wholesale.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.product.pricing.policy.wholesale.doEdit,
    method: 'post',
    data,
  })
}

export function revisesTrategyPrice(data) {
  return request({
    url: URL.shop.product.pricing.policy.wholesale.revisesTrategyPrice,
    method: 'post',
    data,
  })
}

export function editDiscountRate(data) {
  return request({
    url: URL.shop.product.pricing.policy.wholesale.editDiscountRate,
    method: 'post',
    data,
  })
}
